### Virtual Method

# Gio DBusObjectManagerClient interface_proxy_signal

#### Declaration [src]

    void
    interface_proxy_signal (
      GDBusObjectManagerClient* manager,
      GDBusObjectProxy* object_proxy,
      GDBusProxy* interface_proxy,
      const gchar* sender_name,
      const gchar* signal_name,
      GVariant* parameters
    )

#### Description [src]

Signal class handler for the `GDBusObjectManagerClient::interface-proxy-signal` signal.

#### Parameters

`object_proxy`

  Type: `GDBusObjectProxy`

  No description available.

  The data is owned by the caller of the method.

`interface_proxy`

  Type: `GDBusProxy`

  No description available.

  The data is owned by the caller of the method.

`sender_name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`signal_name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`parameters`

  Type: `GVariant`

  No description available.

  The data is owned by the caller of the method.